메인 콘텐츠로 건너뛰기
GET
/
v2
/
dex
/
{chain}
/
quote
DEX - 견적 조회
curl --request GET \
  --url https://api.chainstream.io/v2/dex/{chain}/quote \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dex/{chain}/quote"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dex/{chain}/quote', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "amountOut": "1000000000",
  "minAmountOut": "<string>",
  "currentPrice": "<string>",
  "executionPrice": "<string>",
  "priceImpact": "10.5",
  "fee": "1000000000"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름

사용 가능한 옵션:
sol,
bsc,
eth

쿼리 매개변수

dex
enum<string>
필수

DEX 프로토콜 유형

사용 가능한 옵션:
raydium,
pumpfun
예시:

"raydium"

amount
string
필수

거래 수량

예시:

1000000000

inputMint
string
필수

입력 토큰 주소

예시:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

outputMint
string
필수

출력 토큰 주소

예시:

"So11111111111111111111111111111111111111112"

exactIn
boolean
기본값:true
필수

정확한 입력 모드

예시:

true

slippage
integer<int64>
필수

슬리피지 허용치

예시:

10

응답

200 - application/json
amountOut
string

출력 수량

예시:

"1000000000"

minAmountOut
string

최소 출력 수량

currentPrice
string

현재 가격

executionPrice
string

체결 가격

priceImpact
string

가격 영향

예시:

"10.5"

fee
string

거래 수수료

예시:

"1000000000"